comecerodocs

Delete a user

DELETE
/users/{user_id}

Deletes a user so they can no longer sign in. You cannot delete yourself or use me (400).

Secret and trusted tokens may call this with the users delete permission.

Authorization

headerAuthorizationBearer <token>

A secret, trusted or limited token. See Authentication.

Path Parameters

user_id*string

The user's user_id. With a trusted token, me means the signed-in user. me with any other token type is 403.

Response Body

The user is deleted. No body.

Example Request
curl -X DELETE 'https://api.comecero.com/api/v1/users/jane.smith.test'
Example Response
Empty